EDIT - feature request #6849

[DISCUSS] How to handle "kind of" term creation in TermEditor
07/24/2017 11:31 AM - Patrick Plitzner

Status: In Progress Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 40%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

AM:

Ich bin mir auch noch nicht so sicher, ob wir diese Funktion wirklich standardmaBig anbieten sollten. Oder vielleicht ist nur das Label
noch nicht ausgereift. Ich glaube jedenfalls nicht, dass jemand, der sich nicht so gut auskennt mit dem Model, damit irgendwas
anfangen kann. Lésung wére evil. es als optionales Feature anzubieten.

Vielleicht reicht aber schon ein intuitiveres Label. Ein Weg dorthin ware vermutlich, nicht generische Begriffe zu verwenden sondern
auf die Situation bezogene. Das stért mich beim ,Neu” Meni schon langer. Dass da also z.B. nicht steht, ,Neues Feature”, sondern
Neu->Definierter Begriff , was sehr unverstandlich ist.

Dann sollte man bei den Labels unterscheiden zwischen Neu-> Teil von {parentName} und Neu -> Auspragung von {parentName} ,
wobei ich flr das kind of weder im Englischen noch im Deutschen einen guten Begriff finde. Kind of ist glaube ich fir Normaluser
nicht ausreichend verstandlich.

Nebenbemerkung: Vielleicht sollten wir sogar beim Vocabular (oder beim TermType) mit speichern, welche Beziehungen erlaubt
sind. Z.B. macht bei Feature ,partOf* eigentlich keinen Sinn finde ich. Bei NamedArea macht wiederum ,kindOf* keinen Sinn.

Update
Aus dem Additivity-Treffen: https:/wiki.ogbm.org/additivity/index.php/Additivity 50:

"kind of" wird nicht als Termbeziehung oder im Vokabular, sondern als Property mit den zugehérigen States als Character modelliert.
Bsp.:

e Struktur: Entire Plant
¢ Property: kindOf
¢ Statel.ist: tree, shrub, plant, etc.

Update 2
https://wiki.bgbm.org/additivity/index.php/Additivity 51

Wenn sich Substrukturen einer kindOf-Struktur nicht auf den kindOf-Term, sondern auf den generelleren Term beziehen, dann l&sst
dich das kindOf als State realisieren: Bsp.: Entire Plant + habit = shrub, aber weitere Character beziehen sich nicht auf shrub,
sondern auf Entire plant

Fazit aus dem letzten Treffen: kindOf-Terme werden zun&chst als eigenstandige Struktur angelegt im Strukturbaum angelegt.Evil.
kénnen die kindOf-Beziehungen spater mittels Termrelationen nachtraglich modelliert werden.

Update 3

Die Beziehung eines kindOf-Terms zu seinem generischerem Elternterm kann auch durch Vokabulare erméglicht werden.
Vokabulare kénnen auch eine URL und eine Description haben. Dadurch kénnen sie eindeutig einem Konzept in der Ontologie
zugeordnet werden. Aus praktischen Griinden soll es dennoch méglich sein, den generischen Term selber als Term auszuwéhlen.
Dieser kdnnte jeweils in dem Vokabular enthalten sein.

Beispiel:

e Leaf (Vokabular)
o leaf (Term)
o sepal (Term)
o petal (Term)

Related issues:
https://wiki.bgbm.org/additivity/index.php/Additivity_50:
https://wiki.bgbm.org/additivity/index.php/Additivity_51

Related to EDIT - feature request #6794: Improve term structure In Progress

History

#1 - 07/24/2017 12:57 PM - Andreas Miiller
- Description updated

#2 - 02/27/2019 08:43 AM - Patrick Plitzner

- Target version changed from Unassigned CDM tickets to Release 5.6

#3 - 03/04/2019 11:54 AM - Patrick Plitzner
- Priority changed from New to Priority14

#4 - 03/14/2019 01:55 PM - Patrick Plitzner

- Description updated

#5 - 03/14/2019 01:56 PM - Patrick Plitzner

- Description updated

#6 - 03/14/2019 01:56 PM - Patrick Plitzner
- Status changed from New to In Progress

- % Done changed from 0 to 20

#7 - 03/22/2019 09:17 AM - Patrick Plitzner

- Description updated

#8 - 04/03/2019 03:12 PM - Patrick Plitzner
- Description updated

- Target version changed from Release 5.6 to Release 5.7

Moving to next milestone for further discussion

#9 - 05/03/2019 12:00 PM - Patrick Plitzner

- Target version changed from Release 5.7 to Release 5.8

#10 - 07/15/2019 04:02 PM - Patrick Plitzner

- Target version changed from Release 5.8 to Release 5.10

Moving to next milestone for further discussion

#11 - 09/18/2019 02:34 PM - Patrick Plitzner

- Target version changed from Release 5.10 to Release 5.11

#12 - 11/07/2019 10:21 AM - Patrick Plitzner
- Status changed from In Progress to Closed

- % Done changed from 20 to 100

Closing this old discussion because the project ends. Documentation can be found in the ticket description and in the additivity wiki.

#13 - 11/07/2019 10:58 AM - Patrick Plitzner
- Status changed from Closed to In Progress

- Target version changed from Release 5.11 to 287

#14 - 12/09/2019 01:14 PM - Andreas Miiller

- Related to feature request #6794: Improve term structure added

#15 - 12/09/2019 01:15 PM - Andreas Miiller
- Assignee changed from Patrick Plitzner to Andreas Miiller

- Target version changed from 287 to Release 5.12

#16 - 12/09/2019 01:15 PM - Andreas Miiller
- % Done changed from 100 to 40

#17 - 01/15/2020 01:31 PM - Andreas Miiller

- Target version changed from Release 5.12 to Release 5.13

#18 - 03/09/2020 03:17 PM - Andreas Miiller

- Target version changed from Release 5.13 to Release 5.14

#19 - 04/08/2020 03:42 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#20 - 06/23/2020 01:47 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#21 - 12/03/2020 06:02 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.19

#22 - 01/27/2021 04:10 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#23 - 03/10/2021 02:35 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#24 - 04/16/2021 10:16 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.46
